Subject: Re: Release candidate 1: /etc/hosts
From: Nicholas Wourms <[email-masked]>
To: [email-masked]
Cc: Paul Johnston <[email-masked]>
Date: Thu, 12 Sep 2002 10:46:04 -0700 (PDT)

--- Igor Pechtchanski <[email-masked]> wrote:
> On Thu, 12 Sep 2002, Paul Johnston wrote:
> 
> > Hi,
> > Thanks to Corinna, Joe, Nicholas, Warren and especially Igor,
> this
> > script should now be good enough. I've successfully tested it on
> XP
> > only.
> 
> This works on Windows 98 (sort of):
> 
> BASH-2.05b$ uname -a
> CYGWIN_98-4.10 FAETON 1.3.12(0.54/3/2) 2002-07-06 02:16 i686
> unknown
> BASH-2.05b$ ./make-etc-links.sh
> create symbolic link `/etc/hosts' to `/cygdrive/c/WINDOWS/hosts'
> create symbolic link `/etc/protocols' to
> `/cygdrive/c/WINDOWS/protocol'
> create symbolic link `/etc/services' to
> `/cygdrive/c/WINDOWS/services'
> create symbolic link `/etc/networks' to
> `/cygdrive/c/WINDOWS/networks'
> BASH-2.05b$
> 
> However, two problems:
> 
> 1) When the script has run, but created a link to a non-existent
> file, and
> then run again:
> 
> BASH-2.05b$ ./make-etc-links.sh
> /bin/ln: `/etc/protocols': File exists
> BASH-2.05b$ ls /etc/protocols
> /etc/protocols
> BASH-2.05b$ [ ! -e /etc/protocols ]; echo $?
> 0
> BASH-2.05b$ [ ! -L /etc/protocols ]; echo $?
> 1
> BASH-2.05b$
> 
> The -e test apparently fails if the file is a symbolic link to a
> non-existent file (is this a bug?).  I've attached the correction.
> 
> 2) CYGWIN="check_case:strict"
> As I suspected earlier, this fails -- the links are created, but an
> attempt to cat the files results in "no such file or directory",
> and an
> attempt to save the file after editing results in a write error. 
> On my
> Windows 98, cygwin interprets the filenames for c:\windows\hosts,
> etc, as
> all caps.  I don't know how important this is to pursue.

Why not just check for all the possible combinations [HOSTS, Hosts,
hosts]?  I use check_case:strict on a daily basis.  If you don't use
it, then you cannot compile gcj java programs at times.  Also, you
cannot bootstrap gcc with java enabled.  I think this is important
and heads of questions in the long run.

Cheers,
Nicholas

__________________________________________________
Yahoo! - We Remember
9-11: A tribute to the more than 3,000 lives lost
http://dir.remember.yahoo.com/tribute

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/